<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "menu_location_lang".
 *
 * @property integer $menu_location_id
 * @property string $menu_location_title
 * @property integer $language_id
 *
 * @property Language $lang
 * @property MenuLocation $menuLocation
 */
class MenuLocationLang extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'menu_location_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['menu_location_id', 'menu_location_title', 'language_id'], 'required'],
            [['menu_location_id', 'language_id'], 'integer'],
            [['menu_location_title'], 'string', 'max' => 250]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'menu_location_id' => Yii::t('app', 'Menu Location ID'),
            'menu_location_title' => Yii::t('app', 'Menu Location Title'),
            'language_id' => Yii::t('app', 'Lang ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLang()
    {
        return $this->hasOne(Language::className(), ['language_id' => 'language_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMenuLocation()
    {
        return $this->hasOne(MenuLocation::className(), ['menu_location_id' => 'menu_location_id']);
    }
}
